Index: OMEdit/OMEditLIB/MainWindow.cpp
===================================================================
--- OMEdit/OMEditLIB/MainWindow.cpp	(revision None)
+++ OMEdit/OMEditLIB/MainWindow.cpp	(revision None)
@@ -2248,5 +2248,5 @@
 /*!
  * \brief MainWindow::simulateModel
- * Simualtes the model directly.
+ * Simulates the model directly.
  */
 void MainWindow::simulateModel()
@@ -2260,5 +2260,5 @@
 /*!
  * \brief MainWindow::simulateModelWithAnimation
- * Simualtes the model directly with animation flag.
+ * Simulates the model directly with animation flag.
  */
 void MainWindow::simulateModelWithAnimation()
@@ -2276,5 +2276,5 @@
 /*!
  * \brief MainWindow::simulateModelWithTransformationalDebugger
- * Simualtes the model with transformational debugger
+ * Simulates the model with transformational debugger
  */
 void MainWindow::simulateModelWithTransformationalDebugger()
@@ -2288,5 +2288,5 @@
 /*!
  * \brief MainWindow::simulateModelWithAlgorithmicDebugger
- * Simualtes the model with algorithmic debugger
+ * Simulates the model with algorithmic debugger
  */
 void MainWindow::simulateModelWithAlgorithmicDebugger()
@@ -2298,5 +2298,8 @@
 }
 
-//! Exports the current model to FMU
+/*!
+ * \brief MainWindow::exportModelFMU
+ * Exports the current model to FMU
+ */
 void MainWindow::exportModelFMU()
 {
Index: OMEdit/OMEditLIB/OMS/OMSSimulationOutputWidget.cpp
===================================================================
--- OMEdit/OMEditLIB/OMS/OMSSimulationOutputWidget.cpp	(revision None)
+++ OMEdit/OMEditLIB/OMS/OMSSimulationOutputWidget.cpp	(revision None)
@@ -103,5 +103,5 @@
         mpCancelSimulationButton->setEnabled(true);
       } else {
-        mpProgressLabel->setText(tr("Simulation using the <b>%1</b> model is failed. %2").arg(mCref).arg(GUIMessages::getMessage(GUIMessages::CHECK_MESSAGES_BROWSER)));
+        mpProgressLabel->setText(tr("Simulation of the model <b>%1</b> is failed. %2").arg(mCref).arg(GUIMessages::getMessage(GUIMessages::CHECK_MESSAGES_BROWSER)));
         mpProgressBar->setValue(mpProgressBar->maximum());
         mpArchivedOMSSimulationItem->setStatus(tr("Simulation failed!"));
@@ -109,5 +109,5 @@
       }
     } else {
-      mpProgressLabel->setText(tr("Initialization using the <b>%1</b> model is failed. %2").arg(mCref).arg(GUIMessages::getMessage(GUIMessages::CHECK_MESSAGES_BROWSER)));
+      mpProgressLabel->setText(tr("Initialization of the model <b>%1</b> is failed. %2").arg(mCref).arg(GUIMessages::getMessage(GUIMessages::CHECK_MESSAGES_BROWSER)));
       mpProgressBar->setValue(mpProgressBar->maximum());
       mpArchivedOMSSimulationItem->setStatus(tr("Initialization failed!"));
@@ -115,5 +115,5 @@
     }
   } else {
-    mpProgressLabel->setText(tr("Instantiation using the <b>%1</b> model is failed. %2").arg(mCref).arg(GUIMessages::getMessage(GUIMessages::CHECK_MESSAGES_BROWSER)));
+    mpProgressLabel->setText(tr("Instantiation of the model <b>%1</b> is failed. %2").arg(mCref).arg(GUIMessages::getMessage(GUIMessages::CHECK_MESSAGES_BROWSER)));
     mpProgressBar->setValue(mpProgressBar->maximum());
     mpArchivedOMSSimulationItem->setStatus(tr("Instantiation failed!"));
@@ -144,5 +144,5 @@
   // cancel the simulation
   if (OMSProxy::instance()->cancelSimulation_asynchronous(mCref)) {
-    mpProgressLabel->setText(tr("Simulation using the <b>%1</b> model is cancelled.").arg(mCref));
+    mpProgressLabel->setText(tr("Simulation of the model <b>%1</b> is cancelled.").arg(mCref));
     mpProgressBar->setValue(mpProgressBar->maximum());
     mIsSimulationRunning = false;
@@ -166,5 +166,5 @@
     mpProgressBar->setValue(progress);
     if (time >= mStopTime) {
-      mpProgressLabel->setText(tr("Simulation using the <b>%1</b> model is finished.").arg(mCref));
+      mpProgressLabel->setText(tr("Simulation of the model <b>%1</b> is finished.").arg(mCref));
       mpProgressBar->setValue(mpProgressBar->maximum());
       mIsSimulationRunning = false;
Index: OMEdit/OMEditLIB/TLM/TLMCoSimulationOutputWidget.cpp
===================================================================
--- OMEdit/OMEditLIB/TLM/TLMCoSimulationOutputWidget.cpp	(revision None)
+++ OMEdit/OMEditLIB/TLM/TLMCoSimulationOutputWidget.cpp	(revision None)
@@ -217,5 +217,5 @@
 void TLMCoSimulationOutputWidget::managerProcessStarted()
 {
-  mpProgressLabel->setText(tr("Running co-simulation using the <b>%1</b> composite model. Please wait for a while.").arg(mTLMCoSimulationOptions.getClassName()));
+  mpProgressLabel->setText(tr("Running co-simulation of the composite model <b>%1</b>. Please wait for a while.").arg(mTLMCoSimulationOptions.getClassName()));
   mpProgressBar->setRange(0, 100);
   mpProgressBar->setTextVisible(true);
@@ -256,5 +256,5 @@
   Q_UNUSED(exitCode);
   Q_UNUSED(exitStatus);
-  mpProgressLabel->setText(tr("Co-simulation using the <b>%1</b> composite model is finished.").arg(mTLMCoSimulationOptions.getClassName()));
+  mpProgressLabel->setText(tr("Co-simulation of the composite model <b>%1</b> is finished.").arg(mTLMCoSimulationOptions.getClassName()));
   mpProgressBar->setValue(mpProgressBar->maximum());
   mpStopManagerButton->setEnabled(false);
Index: doc/UsersGuide/source/omedit.rst
===================================================================
--- doc/UsersGuide/source/omedit.rst	(revision None)
+++ doc/UsersGuide/source/omedit.rst	(revision None)
@@ -314,5 +314,4 @@
 -  *Instantiate Model* - Instantiates the current model.
 -  *Simulation Setup* - Opens the simulation setup window.
--  *Instantiate SSP Model* - Instantiates the current SSP model.
 -  *Simulate* - Simulates the current model.
 -  *Simulate with Transformational Debugger* - Simulates the current model and