Index: /trunk/testsuite/simulation/libraries/msl32/Makefile
===================================================================
--- /trunk/testsuite/simulation/libraries/msl32/Makefile	(revision 13468)
+++ /trunk/testsuite/simulation/libraries/msl32/Makefile	(revision 13469)
@@ -39,6 +39,4 @@
 
 # MissingTests:
-# Modelica.Mechanics.MultiBody.Examples.Elementary.UserDefinedGravityField.mos
-# Modelica.Mechanics.MultiBody.Examples.Elementary.Surfaces.mos
 # Modelica.Mechanics.MultiBody.Examples.Loops.EngineV6.mos - Infinite Loop During Simulation
 # Modelica.Mechanics.MultiBody.Examples.Loops.EngineV6_analytic.mos - Infinite Loop During Simulation
@@ -50,6 +48,11 @@
 
 # test that currently fail. Move up when fixed. 
+# Surfaces - Flattening fails because "pipeWithScalarField.xsi" is not found, although it is defined as "parameter Real xsi[:]"
+# UserDefinedGravityField - must fail because gravityFunction is not replaceable anymore (OMC specific fix in MSL)
+# fullRobot - presently produces infinite loop during simulation
 # Run make testfailing
 FAILINGTESTFILES=  \
+Modelica.Mechanics.MultiBody.Examples.Elementary.Surfaces.mos \
+Modelica.Mechanics.MultiBody.Examples.Elementary.UserDefinedGravityField.mos \
 Modelica.Mechanics.MultiBody.Examples.Systems.RobotR3.fullRobot_failed.mos \
 
Index: /trunk/testsuite/simulation/libraries/msl32/Modelica.Mechanics.MultiBody.Examples.Elementary.Surfaces.mos
===================================================================
--- /trunk/testsuite/simulation/libraries/msl32/Modelica.Mechanics.MultiBody.Examples.Elementary.Surfaces.mos	(revision 13468)
+++ /trunk/testsuite/simulation/libraries/msl32/Modelica.Mechanics.MultiBody.Examples.Elementary.Surfaces.mos	(revision 13469)
@@ -15,21 +15,22 @@
 simulate(Modelica.Mechanics.MultiBody.Examples.Elementary.Surfaces);
 
-res := OpenModelica.Scripting.compareSimulationResults("Modelica.Mechanics.MultiBody.Examples.Elementary.Surfaces_res.mat",
-  "ReferenceFiles/Modelica.Mechanics.MultiBody.Examples.Elementary.Surfaces.mat",
-  "Modelica.Mechanics.MultiBody.Examples.Elementary.Surfaces_diff.csv",0.01,0.0001,
-  {"x",
-   "y"});
-getErrorString();
+// res := OpenModelica.Scripting.compareSimulationResults("Modelica.Mechanics.MultiBody.Examples.Elementary.Surfaces_res.mat",
+//   "ReferenceFiles/Modelica.Mechanics.MultiBody.Examples.Elementary.Surfaces.mat",
+//   "Modelica.Mechanics.MultiBody.Examples.Elementary.Surfaces_diff.csv",0.01,0.0001,
+//   {"x",
+//    "y"});
+// getErrorString();
 
 // Result:
 // true
-// ""
+// true
+// true
 // record SimulationResult
-//     resultFile = "Modelica.Mechanics.MultiBody.Examples.Elementary.Surfaces_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'Modelica.Mechanics.MultiBody.Examples.Elementary.Surfaces', storeInTemp = false, noClean = false, options = '', outputFormat = 'mat', variableFilter = '.*', measureTime = false, cflags = '', simflags = ''",
-//     messages = ""
+//     resultFile = "",
+//     simulationOptions = "startTime = 0.0, stopTime = 5.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'Modelica.Mechanics.MultiBody.Examples.Elementary.Surfaces', storeInTemp = false, noClean = false, options = '', outputFormat = 'mat', variableFilter = '.*', measureTime = false, cflags = '', simflags = ''",
+//     messages = "Simulation failed for model: Modelica.Mechanics.MultiBody.Examples.Elementary.Surfaces
+// [C:/OpenModelica1.9.0/lib/omlibrary/Modelica 3.2.1/Mechanics/MultiBody/Examples/Elementary/Surfaces.mo:52:5-53:20:writable] Error: Variable pipeWithScalarField.xsi konnte nicht im Geltungsbereich von Modelica.Mechanics.MultiBody.Examples.Elementary.Surfaces gefunden werden
+// Error: Error occurred while flattening model Modelica.Mechanics.MultiBody.Examples.Elementary.Surfaces
+// ",
 // end SimulationResult;
-// ""
-// "Files Equal!"
-// ""
 // endResult
Index: /trunk/testsuite/simulation/libraries/msl32/Modelica.Mechanics.MultiBody.Examples.Elementary.UserDefinedGravityField.mos
===================================================================
--- /trunk/testsuite/simulation/libraries/msl32/Modelica.Mechanics.MultiBody.Examples.Elementary.UserDefinedGravityField.mos	(revision 13468)
+++ /trunk/testsuite/simulation/libraries/msl32/Modelica.Mechanics.MultiBody.Examples.Elementary.UserDefinedGravityField.mos	(revision 13469)
@@ -1,5 +1,5 @@
 // name:     Modelica.Mechanics.MultiBody.Examples.Elementary.UserDefinedGravityField
 // keywords: simulation MSL Examples
-// status: correct
+// status: fails
 // cflags:   +postOptModules=removeFinalParameters,removeevaluateParameters,inlineArrayEqn,constantLinearSystem,simplifysemiLinear,removeSimpleEquations,removeUnusedFunctions,simplifyTimeIndepFuncCalls,optimizeInitialSystem
 // teardown_command: rm -f *_init.xml *_records.c *.exe *.log *_res.mat *.c *.libs *.makefile *.o *.dll *.so *_functions.h *.h *_diff.csv
@@ -15,10 +15,10 @@
 simulate(Modelica.Mechanics.MultiBody.Examples.Elementary.UserDefinedGravityField);
 
-res := OpenModelica.Scripting.compareSimulationResults("Modelica.Mechanics.MultiBody.Examples.Elementary.UserDefinedGravityField_res.mat",
-  "ReferenceFiles/Modelica.Mechanics.MultiBody.Examples.Elementary.UserDefinedGravityField.mat",
-  "Modelica.Mechanics.MultiBody.Examples.Elementary.UserDefinedGravityField_diff.csv",0.01,0.0001,
-  {"x",
-   "y"});
-getErrorString();
+// res := OpenModelica.Scripting.compareSimulationResults("Modelica.Mechanics.MultiBody.Examples.Elementary.UserDefinedGravityField_res.mat",
+//  "ReferenceFiles/Modelica.Mechanics.MultiBody.Examples.Elementary.UserDefinedGravityField.mat",
+//  "Modelica.Mechanics.MultiBody.Examples.Elementary.UserDefinedGravityField_diff.csv",0.01,0.0001,
+//  {"rev.phi",
+//   "rev.w"});
+// getErrorString();
 
 // Result:
@@ -26,10 +26,11 @@
 // ""
 // record SimulationResult
-//     resultFile = "Modelica.Mechanics.MultiBody.Examples.Elementary.UserDefinedGravityField_res.mat",
-//     simulationOptions = "startTime = 0.0, stopTime = 1.0, numberOfIntervals = 500, tolerance = 1e-06, method = 'dassl', fileNamePrefix = 'Modelica.Mechanics.MultiBody.Examples.Elementary.UserDefinedGravityField', storeInTemp = false, noClean = false, options = '', outputFormat = 'mat', variableFilter = '.*', measureTime = false, cflags = '', simflags = ''",
-//     messages = ""
+//     resultFile = "",
+//     simulationOptions = "startTime = 0.0, stopTime = 10.0, numberOfIntervals = 500, tolerance = 1e-08, method = 'dassl', fileNamePrefix = 'Modelica.Mechanics.MultiBody.Examples.Elementary.UserDefinedGravityField', storeInTemp = false, noClean = false, options = '', outputFormat = 'mat', variableFilter = '.*', measureTime = false, cflags = '', simflags = ''",
+//     messages = "Simulation failed for model: Modelica.Mechanics.MultiBody.Examples.Elementary.UserDefinedGravityField
+[C:/OpenModelica1.9.0/lib/omlibrary/Modelica 3.2.1/Mechanics/MultiBody/Examples/Elementary/UserDefinedGravityField.mo:11:3-18:43:writable] Notification: From here:
+[C:/OpenModelica1.9.0/lib/omlibrary/Modelica 3.2.1/Mechanics/MultiBody/package.mo:1258:1-1262:15:writable] Error: Trying to redeclare function gravityAcceleration but function not declared as replaceable
+Error: Error occurred while flattening model Modelica.Mechanics.MultiBody.Examples.Elementary.UserDefinedGravityField
+",
 // end SimulationResult;
-// ""
-// "Files Equal!"
-// ""
 // endResult