Index: /trunk/Compiler/FrontEnd/ModelicaBuiltin.mo
===================================================================
--- /trunk/Compiler/FrontEnd/ModelicaBuiltin.mo	(revision 13485)
+++ /trunk/Compiler/FrontEnd/ModelicaBuiltin.mo	(revision 13486)
@@ -2,7 +2,7 @@
  * This file is part of OpenModelica.
  *
- * Copyright (c) 1998-CurrentYear, LinkÃ¶ping University,
+ * Copyright (c) 1998-CurrentYear, Linköping University,
  * Department of Computer and Information Science,
- * SE-58183 LinkÃ¶ping, Sweden.
+ * SE-58183 Linköping, Sweden.
  *
  * All rights reserved.
@@ -15,5 +15,5 @@
  * The OpenModelica software and the Open Source Modelica
  * Consortium (OSMC) Public License (OSMC-PL) are obtained
- * from LinkÃ¶ping University, either from the above address,
+ * from Linköping University, either from the above address,
  * from the URLs: http://www.ida.liu.se/projects/OpenModelica or  
  * http://www.openmodelica.org, and in the OpenModelica distribution. 
@@ -2779,5 +2779,5 @@
 <ul>
 <li>Improved flattening speed of at least a factor of 10 or more compared to the 1.4.5 release, primarily for larger models with inner-outer, but also speedup for other models, e.g. the robot model flattens in approximately 2 seconds.</li>
-<li>Flattening of all MultiBody models, including all elementary models, breaking connection graphs, world object, etc. Moreover, simulation is now possible for at least five MultiBody models: Pendulum, DoublePendulum, InitSpringConstant, World, PointGravityï¿½WithPointMasses.</li> 
+<li>Flattening of all MultiBody models, including all elementary models, breaking connection graphs, world object, etc. Moreover, simulation is now possible for at least five MultiBody models: Pendulum, DoublePendulum, InitSpringConstant, World, PointGravityWithPointMasses.</li> 
 <li>Progress in supporting the Media library, but simulation is not yet possible.</li>
 <li>Support for enumerations, both in the frontend and the backend.</li>
@@ -2829,5 +2829,5 @@
 <li>Improved flattening speed of a factor of 5-20 compared to OpenModelica 1.5 for a number of models, especially in the MultiBody library.</li>
 <li>Reduced memory consumption by the OpenModelica compiler frontend, for certain large models a reduction of a factor 50.</li>
-<li>Reorganized, more modular OpenModelica compiler backend, can now handle approximately 30ï¿½000 equations, compared to previously approximately 10ï¿½000 equations.</li>
+<li>Reorganized, more modular OpenModelica compiler backend, can now handle approximately 30000 equations, compared to previously approximately 10000 equations.</li>
 <li>Better error messages from the compiler, especially regarding functions.</li>
 <li>Improved simulation coverage of MSL 3.1. Many models that did not simulate before are now simulating. However, there are still many models in certain sublibraries that do not simulate.</li>
@@ -2847,5 +2847,5 @@
 Several enhancements. Support for match-expressions in addition to matchcontinue. Support for real if-then-else. Support for if-then without else-branches. Modelica Development Tooling 0.7.7 with small improvements such as more settings, improved error detection in console, etc.
 <h4>New Graphic Editor OMEdit</h4>
-A new improved open source graphic model connection editor called OMEdit, supporting 3.1 graphical annotations, which makes it possible to move models back and forth to other tools without problems. The editor has been implemented by students at LinkÃ¶ping University and is based on the C++ Qt library.
+A new improved open source graphic model connection editor called OMEdit, supporting 3.1 graphical annotations, which makes it possible to move models back and forth to other tools without problems. The editor has been implemented by students at Linköping University and is based on the C++ Qt library.
 </html>"));
 end '1.6.0';
@@ -2974,5 +2974,5 @@
 <meta name=\"generator\" content=
 \"HTML Tidy for Linux (vers 25 March 2009), see www.w3.org\" />
-<title>ReleaseNotes/1.9.0 â.. OpenModelica</title>
+<title>ReleaseNotes/1.9.0 OpenModelica</title>
 <meta http-equiv=\"Content-Type\" content=
 \"text/html; charset=utf-8\" /><!--[if lt IE 7]>
@@ -3616,9 +3616,9 @@
 <div style=\"float: right; margin: 0 1em\" class=\"wikipage\">
 <blockquote>
-<p>â. <a class=\"wiki\" href=
+<p><a class=\"wiki\" href=
 \"https://trac.openmodelica.org/OpenModelica/wiki/ReleaseNotes/1.8.1\">
 1.8.1</a> | <a class=\"missing wiki\" href=
 \"https://trac.openmodelica.org/OpenModelica/wiki/ReleaseNotes/Future\"
-rel=\"nofollow\">Future?</a> â..</p>
+rel=\"nofollow\">Future?</a></p>
 </blockquote>
 </div>
@@ -4770,5 +4770,5 @@
 \"https://trac.openmodelica.org/OpenModelica/ticket/1833\">Local name
 shadowing and assignment to inputs</a></td>
-<td class=\"owner\">openmodelicadevelopers@â.¦</td>
+<td class=\"owner\">openmodelicadevelopers@...¦</td>
 <td class=\"type\">defect</td>
 <td class=\"priority\">major</td>