Index: /branches/OMEdit/OMEditGUI/Component/Component.cpp
===================================================================
--- /branches/OMEdit/OMEditGUI/Component/Component.cpp	(revision 15423)
+++ /branches/OMEdit/OMEditGUI/Component/Component.cpp	(revision 15424)
@@ -37,4 +37,5 @@
 
 #include "Component.h"
+#include "ComponentProperties.h"
 
 Component::Component(QString annotation, QString name, QString className, StringHandler::ModelicaClasses type, QString transformation,
@@ -943,5 +944,7 @@
 void Component::showAttributes()
 {
-
+  MainWindow *pMainWindow = mpGraphicsView->getModelWidget()->getModelWidgetContainer()->getMainWindow();
+  ComponentAttributes *pComponentAttributes = new ComponentAttributes(this, pMainWindow);
+  pComponentAttributes->show();
 }
 
Index: /branches/OMEdit/OMEditGUI/GUI/Containers/ModelWidgetContainer.cpp
===================================================================
--- /branches/OMEdit/OMEditGUI/GUI/Containers/ModelWidgetContainer.cpp	(revision 15423)
+++ /branches/OMEdit/OMEditGUI/GUI/Containers/ModelWidgetContainer.cpp	(revision 15424)
@@ -1775,5 +1775,5 @@
   if (subWindowList(QMdiArea::ActivationHistoryOrder).size() > 0)
   {
-    if (!object || isHidden())
+    if (!object || isHidden() || qApp->activeWindow() != mpMainWindow)
       return QAbstractScrollArea::eventFilter(object, event);
     // Global key events with Ctrl modifier.
Index: /branches/OMEdit/OMEditGUI/GUI/Dialogs/ComponentProperties.cpp
===================================================================
--- /branches/OMEdit/OMEditGUI/GUI/Dialogs/ComponentProperties.cpp	(revision 15424)
+++ /branches/OMEdit/OMEditGUI/GUI/Dialogs/ComponentProperties.cpp	(revision 15424)
@@ -0,0 +1,255 @@
+/*
+ * This file is part of OpenModelica.
+ *
+ * Copyright (c) 1998-CurrentYear, Open Source Modelica Consortium (OSMC),
+ * c/o Linköpings universitet, Department of Computer and Information Science,
+ * SE-58183 Linköping, Sweden.
+ *
+ * All rights reserved.
+ *
+ * THIS PROGRAM IS PROVIDED UNDER THE TERMS OF GPL VERSION 3 LICENSE OR
+ * THIS OSMC PUBLIC LICENSE (OSMC-PL) VERSION 1.2.
+ * ANY USE, REPRODUCTION OR DISTRIBUTION OF THIS PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE
+ * OF THE OSMC PUBLIC LICENSE OR THE GPL VERSION 3, ACCORDING TO RECIPIENTS CHOICE.
+ *
+ * The OpenModelica software and the Open Source Modelica
+ * Consortium (OSMC) Public License (OSMC-PL) are obtained
+ * from OSMC, either from the above address,
+ * from the URLs: http://www.ida.liu.se/projects/OpenModelica or
+ * http://www.openmodelica.org, and in the OpenModelica distribution.
+ * GNU version 3 is obtained from: http://www.gnu.org/copyleft/gpl.html.
+ *
+ * This program is distributed WITHOUT ANY WARRANTY; without
+ * even the implied warranty of  MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE, EXCEPT AS EXPRESSLY SET FORTH
+ * IN THE BY RECIPIENT SELECTED SUBSIDIARY LICENSE CONDITIONS OF OSMC-PL.
+ *
+ * See the full OSMC Public License conditions for more details.
+ *
+ */
+/*!
+ *
+ * @author Adeel Asghar <adeel.asghar@liu.se>
+ *
+ * RCS: $Id$
+ *
+ */
+
+#include "ComponentProperties.h"
+
+/*!
+  \class ComponentAttributes
+  \brief A dialog for displaying components attributes like visibility, stream, casuality etc.
+  */
+/*!
+  \param pComponent - pointer to Component
+  \param pMainWindow - pointer to MainWindow
+  */
+ComponentAttributes::ComponentAttributes(Component *pComponent, MainWindow *pMainWindow)
+  : QDialog(pMainWindow, Qt::WindowTitleHint)
+{
+  setWindowTitle(QString(Helper::applicationName).append(" - ").append(tr("Component Attributes")));
+  setAttribute(Qt::WA_DeleteOnClose);
+  setModal(true);
+  mpComponent = pComponent;
+  mpMainWindow = pMainWindow;
+  setUpDialog();
+  initializeDialog();
+}
+
+/*!
+  Creates the Dialog and set up all the controls with default values.
+  */
+void ComponentAttributes::setUpDialog()
+{
+  // heading label
+  mpAttributesHeading = new Label(Helper::attributes);
+  mpAttributesHeading->setFont(QFont("", Helper::headingFontSize));
+  mpAttributesHeading->setAlignment(Qt::AlignTop);
+  // set seperator line
+  mHorizontalLine = new QFrame();
+  mHorizontalLine->setFrameShape(QFrame::HLine);
+  mHorizontalLine->setFrameShadow(QFrame::Sunken);
+  // create Type Group Box
+  mpTypeGroupBox = new QGroupBox(Helper::type);
+  QGridLayout *pTypeGroupBoxLayout = new QGridLayout;
+  mpNameLabel = new Label(Helper::name);
+  mpNameTextBox = new QLineEdit;
+  mpCommentLabel = new Label(Helper::comment);
+  mpCommentTextBox = new QLineEdit;
+  mpPathLabel = new Label(Helper::path);
+  mpPathTextBox = new Label;
+  pTypeGroupBoxLayout->addWidget(mpNameLabel, 0, 0);
+  pTypeGroupBoxLayout->addWidget(mpNameTextBox, 0, 1);
+  pTypeGroupBoxLayout->addWidget(mpCommentLabel, 1, 0);
+  pTypeGroupBoxLayout->addWidget(mpCommentTextBox, 1, 1);
+  pTypeGroupBoxLayout->addWidget(mpPathLabel, 2, 0);
+  pTypeGroupBoxLayout->addWidget(mpPathTextBox, 2, 1);
+  mpTypeGroupBox->setLayout(pTypeGroupBoxLayout);
+  // create Variablity Group Box
+  mpVariabilityGroupBox = new QGroupBox("Variability");
+  mpConstantRadio = new QRadioButton("Constant");
+  mpParameterRadio = new QRadioButton("Parameter");
+  mpDiscreteRadio = new QRadioButton("Discrete");
+  mpDefaultRadio = new QRadioButton("Unspecified (Default)");
+  QVBoxLayout *pVariabilityGroupBoxLayout = new QVBoxLayout;
+  pVariabilityGroupBoxLayout->addWidget(mpConstantRadio);
+  pVariabilityGroupBoxLayout->addWidget(mpParameterRadio);
+  pVariabilityGroupBoxLayout->addWidget(mpDiscreteRadio);
+  pVariabilityGroupBoxLayout->addWidget(mpDefaultRadio);
+  mpVariabilityButtonGroup = new QButtonGroup;
+  mpVariabilityButtonGroup->addButton(mpConstantRadio);
+  mpVariabilityButtonGroup->addButton(mpParameterRadio);
+  mpVariabilityButtonGroup->addButton(mpDiscreteRadio);
+  mpVariabilityButtonGroup->addButton(mpDefaultRadio);
+  mpVariabilityGroupBox->setLayout(pVariabilityGroupBoxLayout);
+  // create Variablity Group Box
+  mpPropertiesGroupBox = new QGroupBox("Properties");
+  mpFinalCheckBox = new QCheckBox("Final");
+  mpProtectedCheckBox = new QCheckBox("Protected");
+  mpReplaceAbleCheckBox = new QCheckBox("Replaceable");
+  QVBoxLayout *pPropertiesGroupBoxLayout = new QVBoxLayout;
+  pPropertiesGroupBoxLayout->addWidget(mpFinalCheckBox);
+  pPropertiesGroupBoxLayout->addWidget(mpProtectedCheckBox);
+  pPropertiesGroupBoxLayout->addWidget(mpReplaceAbleCheckBox);
+  mpPropertiesGroupBox->setLayout(pPropertiesGroupBoxLayout);
+  // create Variablity Group Box
+  mpCausalityGroupBox = new QGroupBox("Causality");
+  mpInputRadio = new QRadioButton("Input");
+  mpOutputRadio = new QRadioButton("Output");
+  mpNoneRadio = new QRadioButton("None");
+  QVBoxLayout *pCausalityGroupBoxLayout = new QVBoxLayout;
+  pCausalityGroupBoxLayout->addWidget(mpInputRadio);
+  pCausalityGroupBoxLayout->addWidget(mpOutputRadio);
+  pCausalityGroupBoxLayout->addWidget(mpNoneRadio);
+  mpCausalityButtonGroup = new QButtonGroup;
+  mpCausalityButtonGroup->addButton(mpInputRadio);
+  mpCausalityButtonGroup->addButton(mpOutputRadio);
+  mpCausalityButtonGroup->addButton(mpNoneRadio);
+  mpCausalityGroupBox->setLayout(pCausalityGroupBoxLayout);
+  // create Variablity Group Box
+  mpInnerOuterGroupBox = new QGroupBox("Inner/Outer");
+  mpInnerCheckBox = new QCheckBox("Inner");
+  mpOuterCheckBox = new QCheckBox("Outer");
+  QVBoxLayout *pInnerOuterGroupBoxLayout = new QVBoxLayout;
+  pInnerOuterGroupBoxLayout->addWidget(mpInnerCheckBox);
+  pInnerOuterGroupBoxLayout->addWidget(mpOuterCheckBox);
+  mpInnerOuterGroupBox->setLayout(pInnerOuterGroupBoxLayout);
+  // Create the buttons
+  mpOkButton = new QPushButton(Helper::ok);
+  mpOkButton->setAutoDefault(true);
+  connect(mpOkButton, SIGNAL(clicked()), this, SLOT(updateComponentAttributes()));
+  mpCancelButton = new QPushButton(Helper::cancel);
+  mpCancelButton->setAutoDefault(false);
+  connect(mpCancelButton, SIGNAL(clicked()), this, SLOT(reject()));
+  mpButtonBox = new QDialogButtonBox(Qt::Horizontal);
+  mpButtonBox->addButton(mpOkButton, QDialogButtonBox::ActionRole);
+  mpButtonBox->addButton(mpCancelButton, QDialogButtonBox::ActionRole);
+  // Create a layout
+  QGridLayout *pMainLayout = new QGridLayout;
+  pMainLayout->addWidget(mpAttributesHeading, 0, 0, 1, 2);
+  pMainLayout->addWidget(mHorizontalLine, 1, 0, 1, 2);
+  pMainLayout->addWidget(mpTypeGroupBox, 2, 0, 1, 2);
+  pMainLayout->addWidget(mpVariabilityGroupBox, 3, 0);
+  pMainLayout->addWidget(mpPropertiesGroupBox, 3, 1);
+  pMainLayout->addWidget(mpCausalityGroupBox, 4, 0);
+  pMainLayout->addWidget(mpInnerOuterGroupBox, 4, 1);
+  pMainLayout->addWidget(mpButtonBox, 5, 0, 1, 2);
+  setLayout(pMainLayout);
+}
+
+/*!
+  Initialize the fields with default values.
+  */
+void ComponentAttributes::initializeDialog()
+{
+  QList<ComponentInfo*> componentInfoList = mpComponent->getOMCProxy()->getComponents(
+        mpComponent->getGraphicsView()->getModelWidget()->getLibraryTreeNode()->getNameStructure());
+  foreach (ComponentInfo *pComponentInfo, componentInfoList)
+  {
+    if (pComponentInfo->getName() == mpComponent->getName())
+    {
+      mpComponentInfo = pComponentInfo;
+      // get Class Name
+      mpNameTextBox->setText(pComponentInfo->getName());
+      // get Comment
+      mpCommentTextBox->setText(pComponentInfo->getComment());
+      // get classname
+      mpPathTextBox->setText(pComponentInfo->getClassName());
+      // get Variability
+      if (pComponentInfo->getVariablity() == "constant")
+        mpConstantRadio->setChecked(true);
+      else if (pComponentInfo->getVariablity() == "parameter")
+        mpParameterRadio->setChecked(true);
+      else if (pComponentInfo->getVariablity() == "discrete")
+        mpDiscreteRadio->setChecked(true);
+      else
+        mpDefaultRadio->setChecked(true);
+      // get Properties
+      mpFinalCheckBox->setChecked(pComponentInfo->getFinal());
+      mpProtectedCheckBox->setChecked(pComponentInfo->getProtected());
+      mpReplaceAbleCheckBox->setChecked(pComponentInfo->getReplaceable());
+      mIsFlow = pComponentInfo->getFlow() ? "true" : "false";
+      // get Casuality
+      if (pComponentInfo->getCasuality() == "input")
+        mpInputRadio->setChecked(true);
+      else if (pComponentInfo->getCasuality() == "output")
+        mpOutputRadio->setChecked(true);
+      else
+        mpNoneRadio->setChecked(true);
+      // get InnerOuter
+      mpInnerCheckBox->setChecked(pComponentInfo->getInner());
+      mpOuterCheckBox->setChecked(pComponentInfo->getOuter());
+      break;
+    }
+  }
+}
+
+/*!
+  Slot activated when mpOkButton clicked signal is raised.\n
+  Updates the component attributes.
+  */
+void ComponentAttributes::updateComponentAttributes()
+{
+  ModelWidget *pModelWidget = mpComponent->getGraphicsView()->getModelWidget();
+  QString modelName = pModelWidget->getLibraryTreeNode()->getNameStructure();
+  QString componentName = mpComponent->getName();
+  QString isFinal = mpFinalCheckBox->isChecked() ? "true" : "false";
+  QString isProtected = mpProtectedCheckBox->isChecked() ? "true" : "false";
+  QString isReplaceAble = mpReplaceAbleCheckBox->isChecked() ? "true" : "false";
+  QString variability;
+  if (mpConstantRadio->isChecked())
+    variability = "constant";
+  else if (mpParameterRadio->isChecked())
+    variability = "parameter";
+  else if (mpDiscreteRadio->isChecked())
+    variability = "discrete";
+  else
+    variability = "";
+  QString isInner = mpInnerCheckBox->isChecked() ? "true" : "false";
+  QString isOuter = mpOuterCheckBox->isChecked() ? "true" : "false";
+  QString causality;
+  if (mpInputRadio->isChecked())
+    causality = "input";
+  else if (mpOutputRadio->isChecked())
+    causality = "output";
+  else
+    causality = "";
+
+  OMCProxy *pOMCProxy = pModelWidget->getModelWidgetContainer()->getMainWindow()->getOMCProxy();
+  // update component attributes
+  pOMCProxy->setComponentProperties(modelName, componentName, isFinal, mIsFlow, isProtected, isReplaceAble, variability, isInner, isOuter,
+                                    causality);
+  // update the component comment only if its changed.
+  if (mpComponentInfo->getComment().compare(mpCommentTextBox->text()) != 0)
+  {
+    pOMCProxy->setComponentComment(modelName, componentName, mpCommentTextBox->text().trimmed());
+  }
+  // update the component name only if its changed.
+  if (mpComponentInfo->getName().compare(mpNameTextBox->text()) != 0)
+  {
+    if (pOMCProxy->renameComponentInClass(modelName, mpComponentInfo->getName(), mpNameTextBox->text()))
+      qDebug() << "ComponentAttributes::updateComponentAttributes() renameComponentInClass is successfull update the component name in diagram view.";
+  }
+  accept();
+}
Index: /branches/OMEdit/OMEditGUI/GUI/Dialogs/ComponentProperties.h
===================================================================
--- /branches/OMEdit/OMEditGUI/GUI/Dialogs/ComponentProperties.h	(revision 15424)
+++ /branches/OMEdit/OMEditGUI/GUI/Dialogs/ComponentProperties.h	(revision 15424)
@@ -0,0 +1,89 @@
+/*
+ * This file is part of OpenModelica.
+ *
+ * Copyright (c) 1998-CurrentYear, Open Source Modelica Consortium (OSMC),
+ * c/o Linköpings universitet, Department of Computer and Information Science,
+ * SE-58183 Linköping, Sweden.
+ *
+ * All rights reserved.
+ *
+ * THIS PROGRAM IS PROVIDED UNDER THE TERMS OF GPL VERSION 3 LICENSE OR 
+ * THIS OSMC PUBLIC LICENSE (OSMC-PL) VERSION 1.2. 
+ * ANY USE, REPRODUCTION OR DISTRIBUTION OF THIS PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE
+ * OF THE OSMC PUBLIC LICENSE OR THE GPL VERSION 3, ACCORDING TO RECIPIENTS CHOICE. 
+ *
+ * The OpenModelica software and the Open Source Modelica
+ * Consortium (OSMC) Public License (OSMC-PL) are obtained
+ * from OSMC, either from the above address,
+ * from the URLs: http://www.ida.liu.se/projects/OpenModelica or  
+ * http://www.openmodelica.org, and in the OpenModelica distribution. 
+ * GNU version 3 is obtained from: http://www.gnu.org/copyleft/gpl.html.
+ *
+ * This program is distributed WITHOUT ANY WARRANTY; without
+ * even the implied warranty of  MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE, EXCEPT AS EXPRESSLY SET FORTH
+ * IN THE BY RECIPIENT SELECTED SUBSIDIARY LICENSE CONDITIONS OF OSMC-PL.
+ *
+ * See the full OSMC Public License conditions for more details.
+ *
+ */
+/*!
+ * 
+ * @author Adeel Asghar <adeel.asghar@liu.se>
+ *
+ * RCS: $Id$
+ *
+ */
+
+#ifndef COMPONENTPROPERTIES_H
+#define COMPONENTPROPERTIES_H
+
+#include "Component.h"
+
+class ComponentAttributes : public QDialog
+{
+  Q_OBJECT
+public:
+  ComponentAttributes(Component *pComponent, MainWindow *pMainWindow = 0);
+  void setUpDialog();
+  void initializeDialog();
+private:
+  Component *mpComponent;
+  MainWindow *mpMainWindow;
+  ComponentInfo *mpComponentInfo;
+  Label *mpAttributesHeading;
+  QFrame *mHorizontalLine;
+  QGroupBox *mpTypeGroupBox;
+  Label *mpNameLabel;
+  QLineEdit *mpNameTextBox;
+  Label *mpCommentLabel;
+  QLineEdit *mpCommentTextBox;
+  Label *mpPathLabel;
+  Label *mpPathTextBox;
+  QGroupBox *mpVariabilityGroupBox;
+  QButtonGroup *mpVariabilityButtonGroup;
+  QRadioButton *mpConstantRadio;
+  QRadioButton *mpParameterRadio;
+  QRadioButton *mpDiscreteRadio;
+  QRadioButton *mpDefaultRadio;
+  QGroupBox *mpPropertiesGroupBox;
+  QCheckBox *mpFinalCheckBox;
+  QCheckBox *mpProtectedCheckBox;
+  QCheckBox *mpReplaceAbleCheckBox;
+  QString mIsFlow;
+  QGroupBox *mpCausalityGroupBox;
+  QButtonGroup *mpCausalityButtonGroup;
+  QRadioButton *mpInputRadio;
+  QRadioButton *mpOutputRadio;
+  QRadioButton *mpNoneRadio;
+  QGroupBox *mpInnerOuterGroupBox;
+  QCheckBox *mpInnerCheckBox;
+  QCheckBox *mpOuterCheckBox;
+  QPushButton *mpCancelButton;
+  QPushButton *mpOkButton;
+  QDialogButtonBox *mpButtonBox;
+public slots:
+  void updateComponentAttributes();
+};
+
+#endif // COMPONENTPROPERTIES_H
Index: /branches/OMEdit/OMEditGUI/GUI/Dialogs/ImportFMUDialog.cpp
===================================================================
--- /branches/OMEdit/OMEditGUI/GUI/Dialogs/ImportFMUDialog.cpp	(revision 15423)
+++ /branches/OMEdit/OMEditGUI/GUI/Dialogs/ImportFMUDialog.cpp	(revision 15424)
@@ -98,23 +98,23 @@
   // set grid layout
   Label *pNoteLabel = new Label(tr("* This feature is experimental. Most models are not yet handled by it."));
-  QGridLayout *mainLayout = new QGridLayout;
-  mainLayout->setAlignment(Qt::AlignTop | Qt::AlignLeft);
-  mainLayout->addWidget(mpImportFMUHeading, 0, 0, 1, 3);
-  mainLayout->addWidget(mpHorizontalLine, 1, 0, 1, 3);
-  mainLayout->addWidget(mpFmuFileLabel, 2, 0);
-  mainLayout->addWidget(mpFmuFileTextBox, 2, 1);
-  mainLayout->addWidget(mpBrowseFileButton, 2, 2);
-  mainLayout->addWidget(mpOutputDirectoryLabel, 3, 0);
-  mainLayout->addWidget(mpOutputDirectoryTextBox, 3, 1);
-  mainLayout->addWidget(mpBrowseDirectoryButton, 3, 2);
-  mainLayout->addWidget(mpOutputDirectoryNoteLabel, 4, 0, 1, 3, Qt::AlignLeft);
-  mainLayout->addWidget(mpLogLevelLabel, 5, 0);
-  mainLayout->addWidget(mpLogLevelComboBox, 5, 1, 1, 2);
-  mainLayout->addWidget(mpDebugLoggingCheckBox, 6, 0, 1, 3);
-  mainLayout->addWidget(mpGenerateIntputConnectors, 7, 0, 1, 3);
-  mainLayout->addWidget(mpGenerateOutputConnectors, 8, 0, 1, 3);
-  mainLayout->addWidget(pNoteLabel, 9, 0, 1, 3, Qt::AlignLeft);
-  mainLayout->addWidget(mpImportButton, 10, 0, 1, 3, Qt::AlignRight);
-  setLayout(mainLayout);
+  QGridLayout *pMainLayout = new QGridLayout;
+  pMainLayout->setAlignment(Qt::AlignTop | Qt::AlignLeft);
+  pMainLayout->addWidget(mpImportFMUHeading, 0, 0, 1, 3);
+  pMainLayout->addWidget(mpHorizontalLine, 1, 0, 1, 3);
+  pMainLayout->addWidget(mpFmuFileLabel, 2, 0);
+  pMainLayout->addWidget(mpFmuFileTextBox, 2, 1);
+  pMainLayout->addWidget(mpBrowseFileButton, 2, 2);
+  pMainLayout->addWidget(mpOutputDirectoryLabel, 3, 0);
+  pMainLayout->addWidget(mpOutputDirectoryTextBox, 3, 1);
+  pMainLayout->addWidget(mpBrowseDirectoryButton, 3, 2);
+  pMainLayout->addWidget(mpOutputDirectoryNoteLabel, 4, 0, 1, 3, Qt::AlignLeft);
+  pMainLayout->addWidget(mpLogLevelLabel, 5, 0);
+  pMainLayout->addWidget(mpLogLevelComboBox, 5, 1, 1, 2);
+  pMainLayout->addWidget(mpDebugLoggingCheckBox, 6, 0, 1, 3);
+  pMainLayout->addWidget(mpGenerateIntputConnectors, 7, 0, 1, 3);
+  pMainLayout->addWidget(mpGenerateOutputConnectors, 8, 0, 1, 3);
+  pMainLayout->addWidget(pNoteLabel, 9, 0, 1, 3, Qt::AlignLeft);
+  pMainLayout->addWidget(mpImportButton, 10, 0, 1, 3, Qt::AlignRight);
+  setLayout(pMainLayout);
 }
 
Index: /branches/OMEdit/OMEditGUI/GUI/Dialogs/OptionsDialog.cpp
===================================================================
--- /branches/OMEdit/OMEditGUI/GUI/Dialogs/OptionsDialog.cpp	(revision 15423)
+++ /branches/OMEdit/OMEditGUI/GUI/Dialogs/OptionsDialog.cpp	(revision 15424)
@@ -1129,5 +1129,5 @@
   setModal(true);
   mpLibrariesPage = pParent;
-  mpPathLabel = new Label(tr("Path:"));
+  mpPathLabel = new Label(Helper::path);
   mpPathTextBox = new QLineEdit;
   mpPathBrowseButton = new QPushButton(Helper::browse);
Index: /branches/OMEdit/OMEditGUI/GUI/Widgets/LibraryTreeWidget.cpp
===================================================================
--- /branches/OMEdit/OMEditGUI/GUI/Widgets/LibraryTreeWidget.cpp	(revision 15423)
+++ /branches/OMEdit/OMEditGUI/GUI/Widgets/LibraryTreeWidget.cpp	(revision 15424)
@@ -695,8 +695,8 @@
 Component* LibraryTreeWidget::getComponentObject(QString className)
 {
-  foreach (LibraryComponent *libraryComponent, mLibraryComponentsList)
-  {
-    if (libraryComponent->mClassName == className)
-      return libraryComponent->mpComponent;
+  foreach (LibraryComponent *pLibraryComponent, mLibraryComponentsList)
+  {
+    if (pLibraryComponent->mClassName == className)
+      return pLibraryComponent->mpComponent;
   }
   return 0;
@@ -705,9 +705,9 @@
 LibraryComponent* LibraryTreeWidget::getLibraryComponentObject(QString className)
 {
-  foreach (LibraryComponent *libraryComponent, mLibraryComponentsList)
-  {
-    if (libraryComponent->mClassName == className)
-    {
-      return libraryComponent;
+  foreach (LibraryComponent *pLibraryComponent, mLibraryComponentsList)
+  {
+    if (pLibraryComponent->mClassName == className)
+    {
+      return pLibraryComponent;
     }
   }
@@ -1254,5 +1254,5 @@
   LibraryTreeNode *pLibraryTreeNode = dynamic_cast<LibraryTreeNode*>(currentItem());
   // get the component pixmap to show on drag
-  LibraryComponent *libraryComponent = getLibraryComponentObject(pLibraryTreeNode->getNameStructure());
+  LibraryComponent *pLibraryComponent = getLibraryComponentObject(pLibraryTreeNode->getNameStructure());
   if (isSearchedTree())
     pLibraryTreeNode = mpMainWindow->getLibraryTreeWidget()->getLibraryTreeNode(pLibraryTreeNode->getNameStructure());
@@ -1266,7 +1266,7 @@
   drag->setMimeData(mimeData);
   // if we have component pixmap
-  if (libraryComponent)
-  {
-    QPixmap pixmap = libraryComponent->getComponentPixmap(QSize(50, 50));
+  if (pLibraryComponent)
+  {
+    QPixmap pixmap = pLibraryComponent->getComponentPixmap(QSize(50, 50));
     drag->setPixmap(pixmap);
     drag->setHotSpot(QPoint((drag->hotSpot().x() + adjust), (drag->hotSpot().y() + adjust)));
Index: /branches/OMEdit/OMEditGUI/OMEditGUI.pro
===================================================================
--- /branches/OMEdit/OMEditGUI/OMEditGUI.pro	(revision 15423)
+++ /branches/OMEdit/OMEditGUI/OMEditGUI.pro	(revision 15424)
@@ -79,4 +79,5 @@
     Annotations/BitmapAnnotation.cpp \
     Component/IconParameters.cpp \
+    GUI/Dialogs/ComponentProperties.cpp \
     Component/Transformation.cpp \
     GUI/Widgets/DocumentationWidget.cpp \
@@ -108,4 +109,5 @@
     Annotations/BitmapAnnotation.h \
     Component/IconParameters.h \
+    GUI/Dialogs/ComponentProperties.h \
     Component/Transformation.h \
     GUI/Widgets/DocumentationWidget.h \
Index: /branches/OMEdit/OMEditGUI/Util/Helper.cpp
===================================================================
--- /branches/OMEdit/OMEditGUI/Util/Helper.cpp	(revision 15423)
+++ /branches/OMEdit/OMEditGUI/Util/Helper.cpp	(revision 15424)
@@ -111,4 +111,6 @@
 QString Helper::parameters;
 QString Helper::name;
+QString Helper::comment;
+QString Helper::path;
 QString Helper::type;
 QString Helper::information;
@@ -217,4 +219,6 @@
   Helper::parameters = tr("Parameters");
   Helper::name = tr("Name:");
+  Helper::comment = tr("Comment:");
+  Helper::path = tr("Path:");
   Helper::type = tr("Type");
   Helper::information = tr("Information");
Index: /branches/OMEdit/OMEditGUI/Util/Helper.h
===================================================================
--- /branches/OMEdit/OMEditGUI/Util/Helper.h	(revision 15423)
+++ /branches/OMEdit/OMEditGUI/Util/Helper.h	(revision 15424)
@@ -124,4 +124,5 @@
   static QString name;
   static QString comment;
+  static QString path;
   static QString type;
   static QString information;